import { SvelteComponent } from "svelte";
import type { BlockObjectResponse, UserObjectResponse } from "@notionhq/client/build/src/api-endpoints";
import type { FAQ, TableOfContentItems } from "../types";
declare const __propDef: {
    props: {
        blocks: BlockObjectResponse[] | undefined;
        tableOfContent: (TableOfContentItems | undefined)[] | undefined;
        title: string | undefined;
        cover: string | undefined;
        faqs: FAQ[] | undefined | null;
        author: UserObjectResponse | undefined | null;
        published: string | undefined | null;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type PostProps = typeof __propDef.props;
export type PostEvents = typeof __propDef.events;
export type PostSlots = typeof __propDef.slots;
export default class Post extends SvelteComponent<PostProps, PostEvents, PostSlots> {
}
export {};
